signOut
POST
/sign-out
const url = 'https://gymgym.club/api/auth/sign-out';const options = { method: 'POST', headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'}, body: '{"callbackURL":"example","disableRedirect":true,"state":"example"}'};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request POST \ --url https://gymgym.club/api/auth/sign-out \ --header 'Authorization: Bearer <token>' \ --header 'Content-Type: application/json' \ --data '{ "callbackURL": "example", "disableRedirect": true, "state": "example" }'Sign out the current user
Authorizations
Section titled “Authorizations”Request Body
Section titled “Request Body”Media typeapplication/json
object
callbackURL
The URL to redirect to after provider logout
string
disableRedirect
Return the provider logout URL without redirecting
boolean
state
State to pass to the provider logout endpoint
string
Examplegenerated
{ "callbackURL": "example", "disableRedirect": true, "state": "example"}Responses
Section titled “Responses”Success
Media typeapplication/json
object
success
boolean
url
Provider logout URL when RP-initiated logout is available
string
redirect
Whether the client should redirect to the provider logout URL
boolean
Examplegenerated
{ "success": true, "url": "example", "redirect": true}Bad Request. Usually due to missing parameters, or invalid parameters.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Unauthorized. Due to missing or invalid authentication.
Media typeapplication/json
object
message
required
string
Examplegenerated
{ "message": "example"}Forbidden. You do not have permission to access this resource or to perform this action.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Not Found. The requested resource was not found.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Too Many Requests. You have exceeded the rate limit. Try again later.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}Internal Server Error. This is a problem with the server that you cannot fix.
Media typeapplication/json
object
message
string
Examplegenerated
{ "message": "example"}